Автор Тема: Sublimlinter + Linux  (Прочитано 2068 раз)

Mafa

  • Newbie
  • *
  • Сообщений: 15
Sublimlinter + Linux
« : Августа 18, 2015, 15:23:17 »
Sublimlinter просто отказывается работать на Linux... Путь до папки прописывала... ноль реакции. Помогите, пожалуйста.

Loac

  • Administrator
  • Hero Member
  • *
  • Сообщений: 605
Re: Sublimlinter + Linux
« Ответ #1 : Августа 18, 2015, 17:36:38 »
Что именно не работает? Что пишет консоль редактора?

Mafa

  • Newbie
  • *
  • Сообщений: 15
Re: Sublimlinter + Linux
« Ответ #2 : Августа 18, 2015, 18:16:09 »
Во вложении скрин. В коде присутствуют 2 ошибки. Но они не подсвечиваются.
« Последнее редактирование: Августа 18, 2015, 18:19:32 от Mafa »

Loac

  • Administrator
  • Hero Member
  • *
  • Сообщений: 605
Re: Sublimlinter + Linux
« Ответ #3 : Августа 18, 2015, 18:59:44 »
А что в консоли (Menu / View / Show Console) после запуска редактора?

Mafa

  • Newbie
  • *
  • Сообщений: 15
Re: Sublimlinter + Linux
« Ответ #4 : Августа 18, 2015, 21:09:42 »
Содержание консоли.

Цитировать
startup, version: 3083 linux x32 channel: stable
executable: /opt/sublime_text/sublime_text
working dir: /
packages path: /root/.config/sublime-text-3/Packages
state path: /root/.config/sublime-text-3/Local
zip path: /opt/sublime_text/Packages
zip path: /root/.config/sublime-text-3/Installed Packages
ignored_packages: ["SublimeCodeIntel", "Vintage"]
pre session restore time: 0.176387
startup time: 0.374365
first paint time: 0.38398
reloading plugin Default.block
reloading plugin Default.comment
reloading plugin Default.copy_path
reloading plugin Default.delete_word
reloading plugin Default.detect_indentation
reloading plugin Default.duplicate_line
reloading plugin Default.echo
reloading plugin Default.exec
reloading plugin Default.fold
reloading plugin Default.font
reloading plugin Default.goto_line
reloading plugin Default.history_list
reloading plugin Default.indentation
reloading plugin Default.kill_ring
reloading plugin Default.mark
reloading plugin Default.new_templates
reloading plugin Default.open_context_url
reloading plugin Default.open_file_settings
reloading plugin Default.open_in_browser
reloading plugin Default.pane
reloading plugin Default.paragraph
reloading plugin Default.paste_from_history
reloading plugin Default.quick_panel
reloading plugin Default.save_on_focus_lost
reloading plugin Default.scroll
reloading plugin Default.set_unsaved_view_name
reloading plugin Default.side_bar
reloading plugin Default.sort
reloading plugin Default.swap_line
reloading plugin Default.switch_file
reloading plugin Default.symbol
reloading plugin Default.transform
reloading plugin Default.transpose
reloading plugin Default.trim_trailing_white_space
reloading plugin CSS.css_completions
reloading plugin Diff.diff
reloading plugin HTML.encode_html_entities
reloading plugin HTML.html_completions
reloading plugin 0_package_control_loader.00-package_control
reloading plugin 0_package_control_loader.01-ssl-linux
Linux SSL: successfully loaded _ssl module for libssl.so.1.0.0
reloading plugin 0_package_control_loader.02-bz2
reloading plugin BracketHighlighter.bh_core
reloading plugin BracketHighlighter.bh_logging
reloading plugin BracketHighlighter.bh_plugin
reloading plugin BracketHighlighter.bh_regions
reloading plugin BracketHighlighter.bh_remove
reloading plugin BracketHighlighter.bh_rules
reloading plugin BracketHighlighter.bh_search
reloading plugin BracketHighlighter.bh_swapping
reloading plugin BracketHighlighter.bh_wrapping
reloading plugin Color Highlighter.ColorHighlighter
reloading plugin Color Highlighter.colors
reloading plugin Emmet.emmet-plugin
reloading plugin Package Control.Package Control
reloading plugin Package Control.bootstrap
reloading plugin SublimeLinter-php.linter
SublimeLinter: php linter loaded
reloading plugin SFTP.SFTP
SFTP: enabling custom linux ssl module
SFTP: successfully loaded _ssl module for libssl.so.1.0.0
reloading plugin SublimeLinter.commands
reloading plugin SublimeLinter.sublimelinter
plugins loaded
SublimeLinter: debug mode: on
SublimeLinter: temp directory: /tmp/SublimeLinter3-root
Emmet: No need to update PyV8
Package Control: No updated packages

Loac

  • Administrator
  • Hero Member
  • *
  • Сообщений: 605
Re: Sublimlinter + Linux
« Ответ #5 : Августа 19, 2015, 11:20:28 »
Хм. Ошибок нет, должно быть все нормально. Покажи параметры линтера (Menu / Preferences / Package Settings / SublimeLinter / Settings - Default и User).